Parsoid not correctly rendering bold/italic text
Closed, ResolvedPublic

Description

See, for example, the lead of https://en.wikipedia.org/wiki/Flaming_Pie in the VisualEditor.


Version: unspecified
Severity: normal

bzimport added a project: Parsoid.Via ConduitNov 22 2014, 1:45 AM
bzimport set Reference to bz49926.
Ironholds created this task.Via LegacyJun 21 2013, 4:40 AM
Ironholds added a comment.Via ConduitJul 8 2013, 11:02 AM

This is still appearing, this time in https://en.wikipedia.org/w/index.php?title=Dictionary&oldid=563086179&veaction=edit - start at " Sebastián Covarrubias"

cscott added a comment.Via ConduitJul 8 2013, 4:45 PM

Taking this one, on subbu's suggestion.

Chad added a comment.Via ConduitJul 14 2013, 1:42 AM

Just dropping this in for cross-referencing: bug 13227 (this bug made me remember that one).

cscott added a comment.Via ConduitJul 23 2013, 6:35 PM

See also bug 47326.

Jdforrester-WMF added a comment.Via ConduitAug 15 2013, 10:39 PM
  • Bug 52254 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitAug 16 2013, 4:44 PM

Change 79343 had a related patch set uploaded by Cscott:
Add parserTests for the interaction of italics and possessives.

https://gerrit.wikimedia.org/r/79343

gerritbot added a comment.Via ConduitAug 16 2013, 5:53 PM

Change 79343 merged by jenkins-bot:
Add parserTests for the interaction of italics and possessives.

https://gerrit.wikimedia.org/r/79343

gerritbot added a comment.Via ConduitAug 19 2013, 9:26 PM

Change 79925 had a related patch set uploaded by Cscott:
WIP: Tweak QuoteTransformer to more closely match PHP doQuotes.

https://gerrit.wikimedia.org/r/79925

gerritbot added a comment.Via ConduitAug 20 2013, 9:54 PM

Change 79925 merged by jenkins-bot:
Tweak QuoteTransformer to more closely match PHP doQuotes.

https://gerrit.wikimedia.org/r/79925

cscott added a comment.Via ConduitAug 26 2013, 7:51 PM

Verified that [[Flaming Pie]], [[Dictionary]], [[Moon]], [[Metallica_(album)]], and [[User:Kww/italictest3]] are rendered correctly in the deployed Parsoid/Visual Editor. Closing as fixed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.